---
apiVersion: "v1"
kind: "List"
items:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/app-menu: "development"
      fabric8.io/git-commit: "962d2027087bf7914b3bf9366ab544cbe92296fb"
      fabric8.io/iconUrl: "https://cdn.rawgit.com/fabric8io/ipaas-console/master/src/main/fabric8/icon.svg"
      fabric8.io/git-branch: "release-v0.0.9"
      fabric8.io/build-id: "1"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/ipaas-console/commit/962d2027087bf7914b3bf9366ab544cbe92296fb"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/ipaas-console/1"
    labels:
      expose: "true"
      provider: "fabric8"
      project: "ipaas-console"
      version: "0.0.9"
      group: "io.fabric8.ipaas"
    name: "ipaas-console"
  spec:
    ports:
    - port: 80
      targetPort: 1337
    selector:
      project: "ipaas-console"
      provider: "fabric8"
      group: "io.fabric8.ipaas"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "962d2027087bf7914b3bf9366ab544cbe92296fb"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=ipaas-console&var-version=0.0.9"
      fabric8.io/build-id: "1"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/ipaas-console/1"
      fabric8.io/iconUrl: "https://cdn.rawgit.com/fabric8io/ipaas-console/master/src/main/fabric8/icon.svg"
      fabric8.io/git-branch: "release-v0.0.9"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/ipaas-console/commit/962d2027087bf7914b3bf9366ab544cbe92296fb"
    labels:
      provider: "fabric8"
      project: "ipaas-console"
      version: "0.0.9"
      group: "io.fabric8.ipaas"
    name: "ipaas-console"
  spec:
    replicas: 1
    selector:
      project: "ipaas-console"
      provider: "fabric8"
      group: "io.fabric8.ipaas"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "962d2027087bf7914b3bf9366ab544cbe92296fb"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=ipaas-console&var-version=0.0.9"
          fabric8.io/build-id: "1"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/ipaas-console/1"
          fabric8.io/iconUrl: "https://cdn.rawgit.com/fabric8io/ipaas-console/master/src/main/fabric8/icon.svg"
          fabric8.io/git-branch: "release-v0.0.9"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/ipaas-console/commit/962d2027087bf7914b3bf9366ab544cbe92296fb"
        labels:
          provider: "fabric8"
          project: "ipaas-console"
          version: "0.0.9"
          group: "io.fabric8.ipaas"
      spec:
        containers:
        - image: "fabric8/ipaas-console:0.0.9"
          livenessProbe:
            httpGet:
              path: "/"
              port: 1337
            initialDelaySeconds: 60
            timeoutSeconds: 5
          name: "ipaas-console"
          ports:
          - containerPort: 1337
            name: "http"
          readinessProbe:
            httpGet:
              path: "/"
              port: 1337
            initialDelaySeconds: 10
            timeoutSeconds: 5
    triggers:
    - type: "ConfigChange"
